Subject: Re: bug#69691: 30.0.50; vc-pull buffer doesn't fontify links after refresh

From: Dmitry Gutov <[email-masked]>
Date: Fri, 15 Mar 2024 05:00:08 +0200

On 15/03/2024 04:49, Po Lu wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>> You probably mean "Recompile".
> 
> That's the name of the command, yes.  I was going off the name of the
> tool bar icon.

In compilation-mode the button has a text as well. Anyway, not important.

>> I guess some specific provision for restoring more of the variables
>> after "recompile" could be made inside vc-compilation-mode's
>> definition.
>>
>> Maybe it'll have to go as far as defining a separate major mode and
>> its own "recompile" command with a dedicated binding, since it doesn't
>> seem like 'M-x recompile' runs anything generic that would help us
>> here.
> 
> Sure, I'm only concerned with the functioning of the tool bar item.

Right, and the above is the way to reach that, if I haven't missed 
something.

I don't have the time to get to this now, so patches welcome.